Subject: Re: Executing ssh from perl
From: Stephen Studley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 18 Nov 2004 12:56:19 -0800

At 3:39 PM -0500 11/18/04, Igor Pechtchanski wrote:
>  > unfortunately, no change in my results.
>>  BTW: I have ssh configured for passwordless connection.
>
>You *did* properly escape the command string, right?  Otherwise,
>
>my $str = `ssh -n [email-masked] ls`;
>
>will try to interpolate the contents of the array @machine into the
>command...  You need to use
>
>my $str = `ssh -n user\@machine.domain ls`;
>
>BTW, the -n flag is still useful, since some commands don't properly run
>otherwise.

yep, everything is escaped as needed. I know that by looking at the 
debug output:
debug1: Sending command: ls <path to file I care about>

I've also printed the command to stdout and pasted it into a windows 
cmd shell and cygwin terminal with success.

If I use system("<cmd>"); instead of `<cmd>`;, the command returns 0, 
(no hang).  Unfortunately system wont work for my needs, as it is 
critical I evaluate stdout:stderr.

I do appreciate your help.
Stephen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/